Returns Alert Rule for the given id
curl --request GET \
--url https://api.example.com/v3/alert-rules/{alert_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v3/alert-rules/{alert_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v3/alert-rules/{alert_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"metric": {
"id": "<string>",
"display_name": "<string>"
},
"evaluation_delay": 123,
"model": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version": "<string>"
},
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"baseline": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"updated_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"is_fiddler_generated": true,
"feature_names": [
"<string>"
],
"compare_bin_delta": 123,
"category": "<string>",
"auto_threshold_params": {
"warning_multiplier": 123,
"critical_multiplier": 123
},
"warning_threshold": 123,
"critical_threshold": 123,
"enable_notification": true,
"segment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition": "<string>"
}
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Alert Rules
Returns Alert Rule for the given id
Returns Alert Rule for the given id
GET
/
v3
/
alert-rules
/
{alert_id}
Returns Alert Rule for the given id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
alert id path parameter
Lists all alert rules configured for a model.
Previous
Returns notification for the given Alert Rule id
Next
⌘I